WP1Part Class Referenceabstract

`#include <WP1Part.h>`

Inheritance diagram for WP1Part:

## Public Member Functions

virtual | ~WP1Part ()
virtual void | parse (WP1Listener *listener)=0

## Static Public Member Functions

static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)

## Constructor & Destructor Documentation

## ~WP1Part()

virtual WP1Part::~WP1Part | ( |  | ) |

inline virtual

## Member Function Documentation

## constructPart()

WP1Part * WP1Part::constructPart | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | readVal )

static

Referenced by WP1Parser::parseDocument().

## parse()

virtual void WP1Part::parse | ( | WP1Listener * | listener | ) |

pure virtual

Implemented in WP1BottomMarginGroup, WP1CenterTextGroup, WP1ExtendedCharacterGroup, WP1FlushRightGroup, WP1FontIdGroup, WP1FootnoteEndnoteGroup, WP1HeaderFooterGroup, WP1JustificationGroup, WP1LeftIndentGroup, WP1LeftRightIndentGroup, WP1MarginReleaseGroup, WP1MarginResetGroup, WP1PictureGroup, WP1PointSizeGroup, WP1SetTabsGroup, WP1SpacingResetGroup, WP1SuppressPageCharacteristicsGroup, WP1TopMarginGroup, WP1UnsupportedFixedLengthGroup, and WP1UnsupportedVariableLengthGroup.

The documentation for this class was generated from the following files:

- WP1Part.h
- WP1Part.cpp